#include <bits/stdc++.h>
using namespace std ;
int main () {
    int a , b ;
    cin>>a>> b ;
    if (a==1&&b==2)
        cout<<4;
    else if (a==2&&b==2)
        cout<<12;
    else if (a==3&&b==2)
        cout<<22;
}

